#ifndef  USER_ADC_SAMPLE_PRESENT
#define  USER_ADC_SAMPLE_PRESENT

#include "type.h"

// 单片机实际工作电压
#define VDD_APPLI ((uint16_t) (330))

void Leak_Handler(void);
void Sample_Init();
void Sample_Open();
// 休眠唤醒以后需重新执行该函数
void Sample_ReOpen();

void Sample_Task(void *p_arg);
void Match_Task(void *p_arg);

// 采集是否忙
uint32_t Sample_Busy();
// 通知采集
void Sample_Notify();
void Sample_NotifyFromISR();

// 配置界面采集通知
extern volatile uint8_t Config_Sample_Request;
extern volatile uint8_t Config_Vacuum_Request;

// 得到采集数据的通知
extern volatile uint8_t GPRS_semSampled;

#endif
